### Function

# GLib ascii_digit_value

#### Declaration [src]

    gint
    g_ascii_digit_value (
      gchar c
    )

#### Description [src]

Determines the numeric value of a character as a decimal digit. If the character is not a decimal digit according to `g_ascii_isdigit()`, `-1` is returned.

Differs from `g_unichar_digit_value()` because it takes a char, so there’s no worry about sign extension if characters are signed.

#### Parameters

`c`

  Type: `gchar`

  An ASCII character.

#### Return value

Type: `gint`

The numerical value of `c` if it is a decimal digit, `-1` otherwise.